# Exiv2::Group Namespace Reference

## Variables

const uint16_t | olympmn = 257
| Olympus makernote.
const uint16_t | fujimn = 258
| Fujifilm makernote.
const uint16_t | canonmn = 259
| Canon makernote.
const uint16_t | canoncs = 260
| Canon camera settings.
const uint16_t | canonsi = 261
| Canon shot info.
const uint16_t | canoncf = 262
| Canon customer functions.
const uint16_t | nikonmn = 263
| Any Nikon makernote (pseudo group).
const uint16_t | nikon1mn = 264
| Nikon1 makernote.
const uint16_t | nikon2mn = 265
| Nikon2 makernote.
const uint16_t | nikon3mn = 266
| Nikon3 makernote.
const uint16_t | panamn = 267
| Panasonic makernote.
const uint16_t | sigmamn = 268
| Sigma makernote.
const uint16_t | sonymn = 269
| Any Sony makernote (pseudo group).
const uint16_t | sony1mn = 270
| Sony1 makernote.
const uint16_t | sony2mn = 271
| Sony2 makernote.
const uint16_t | minoltamn = 272
| Minolta makernote.
const uint16_t | minocso = 273
| Minolta camera settings (old).
const uint16_t | minocsn = 274
| Minolta camera settings (new).
const uint16_t | minocs5 = 275
| Minolta camera settings (D5).
const uint16_t | minocs7 = 276
| Minolta camera settings (D7).
const uint16_t | none = 0
| Dummy group.
const uint16_t | ifd0 = 1
| Exif IFD0.
const uint16_t | ifd1 = 2
| Thumbnail IFD.
const uint16_t | exif = 3
| Exif IFD.
const uint16_t | gps = 4
| GPS IFD.
const uint16_t | iop = 5
| Interoperability IFD.
const uint16_t | sub0_0 = 6
| Tiff SubIFD 0 in IFD0.
const uint16_t | sub0_1 = 7
| Tiff SubIFD 1 in IFD0.
const uint16_t | sub0_2 = 8
| Tiff SubIFD 2 in IFD0.
const uint16_t | sub0_3 = 9
| Tiff SubIFD 3 in IFD0.
const uint16_t | mn = 256
| Makernote.
const uint16_t | ignr = 511
| Read but do not decode.

## Detailed Description

Known TIFF groups

Todo: what exactly are these and where should they go? Are they going to be mapped to the second part of an Exif key or are they the second part of the key?